Index: trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.cc
===================================================================
--- trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.cc	(revision 8704)
+++ trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.cc	(revision 8719)
@@ -43,4 +43,9 @@
 //    opt.Train("rf-disp.root", set, 30000); // Number of train events
 //
+//    // Two of the displayed histograms show the cut efficiency for
+//    // a given Theta-Cut. The default is 0.215. It can be overwritten
+//    // by
+//    opt.SetThetaCut(0.165);
+//
 //
 // Random Numbers:
@@ -227,5 +232,5 @@
 Bool_t MJTrainDisp::Train(const char *out, const MDataSet &set, Int_t num)
 {
-    SetTitle(Form("TrainDisp: %s", out));
+    SetTitle(Form("Train%s: %s", fNameOutput.Data(), out));
 
     if (fDisplay)
@@ -282,5 +287,5 @@
 
     // ------------------------ Train RF --------------------------
-    MRanForestCalc rf("TrainDisp", fTitle);
+    MRanForestCalc rf("Train", fTitle);
     rf.SetNumTrees(fNumTrees);
     rf.SetNdSize(fNdSize);
@@ -292,5 +297,6 @@
     rf.SetFileName(out);
     rf.SetDebug(fDebug>1);
-    rf.SetNameOutput("Disp");
+    rf.SetNameOutput(fNameOutput);
+    rf.SetFunction(fResultFunction);
 
     /*
@@ -319,5 +325,5 @@
 
     MParameterD par("ThetaSquaredCut");
-    par.SetVal(0.215*0.215);
+    par.SetVal(fThetaCut*fThetaCut);
     plist.AddToList(&par);
 
Index: trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.h
===================================================================
--- trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.h	(revision 8704)
+++ trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.h	(revision 8719)
@@ -17,4 +17,10 @@
 
     TString fTrainParameter;
+    TString fResultFunction;
+
+    Float_t fThetaCut;
+
+    // To be moved to a base class
+    TString fNameOutput;
 
     void DisplayHist(TCanvas &c, Int_t i, MH3 &mh3) const;
@@ -22,7 +28,9 @@
 
 public:
-    MJTrainDisp() : fTrainParameter(fgTrainParameter) { }
+    MJTrainDisp() : fTrainParameter(fgTrainParameter), fResultFunction("x"), fThetaCut(0.215), fNameOutput("Disp") { }
 
     void SetTrainParameter(const char *txt) { fTrainParameter=txt; }
+
+    void SetThetaCut(Float_t cut=0.215) { fThetaCut=cut; }
 
     Bool_t Train(const char *out, const MDataSet &set, Int_t num);
Index: trunk/MagicSoft/Mars/mjtrain/MJTrainEnergy.cc
===================================================================
--- trunk/MagicSoft/Mars/mjtrain/MJTrainEnergy.cc	(revision 8704)
+++ trunk/MagicSoft/Mars/mjtrain/MJTrainEnergy.cc	(revision 8719)
@@ -89,5 +89,5 @@
 Bool_t MJTrainEnergy::Train(const char *out, const MDataSet &set, Int_t num)
 {
-    SetTitle(Form("TrainEnergy: %s", out));
+    SetTitle(Form("Train%s: %s", fNameOutput.Data(), out));
 
     if (fDisplay)
@@ -128,8 +128,5 @@
     if (fEnableWeights)
         train.AddColumn("MWeight.fVal");
-    train.AddColumn("MMcEvt.fImpact/100");
-    train.AddColumn("MMcEvt.fTelescopeTheta*TMath::RadToDeg()");
     train.AddColumn(fTrainParameter);
-
 
     // ----------------------- Fill Matrix RF ----------------------
@@ -147,9 +144,9 @@
 
     // ------------------------ Train RF --------------------------
-    MRanForestCalc rf("TrainEnergy", fTitle);
+    MRanForestCalc rf("Train", fTitle);
     rf.SetNumTrees(fNumTrees);
     rf.SetNdSize(fNdSize);
     rf.SetNumTry(fNumTry);
-    rf.SetNumObsoleteVariables(3);
+    rf.SetNumObsoleteVariables(1);
     rf.SetLastDataColumnHasWeights(fEnableWeights);
     rf.SetDisplay(fDisplay);
@@ -157,5 +154,5 @@
     rf.SetFileName(out);
     rf.SetDebug(fDebug>1);
-    rf.SetNameOutput("MEnergyEst");
+    rf.SetNameOutput(fNameOutput);
     rf.SetFunction(fResultFunction);
 
@@ -175,4 +172,6 @@
 
     gLog.Separator("Test");
+
+    MH::SetPalette("pretty");
 
     MParList  plist;
Index: trunk/MagicSoft/Mars/mjtrain/MJTrainEnergy.h
===================================================================
--- trunk/MagicSoft/Mars/mjtrain/MJTrainEnergy.h	(revision 8704)
+++ trunk/MagicSoft/Mars/mjtrain/MJTrainEnergy.h	(revision 8719)
@@ -14,6 +14,9 @@
     TString fResultFunction;
 
+    // To be moved to a base class
+    TString fNameOutput;
+
 public:
-    MJTrainEnergy() { SetTrainLin(); }
+    MJTrainEnergy() : fNameOutput("MEnergyEst") { SetTrainLin(); }
 
     void SetTrainLog() { SetTrainFunc("log10(MMcEvt.fEnergy)", "pow(10, x)"); }