Index: trunk/MagicSoft/Mars/mbase/MEvtLoop.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MEvtLoop.cc	(revision 8741)
+++ trunk/MagicSoft/Mars/mbase/MEvtLoop.cc	(revision 8744)
@@ -109,5 +109,5 @@
     SetBit(kMustCleanup);
 
-    *fLog << inf << underline << "Instantiated MEvtLoop (" << name << "), using ROOT v" << ROOT_RELEASE << endl;
+    *fLog << inf << endl << underline << "Instantiated MEvtLoop (" << name << "), using ROOT v" << ROOT_RELEASE << endl;
 }
 
Index: trunk/MagicSoft/Mars/mbase/MLog.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MLog.cc	(revision 8741)
+++ trunk/MagicSoft/Mars/mbase/MLog.cc	(revision 8744)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MLog.cc,v 1.56 2006-10-19 21:00:23 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MLog.cc,v 1.57 2007-09-07 12:17:13 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -292,5 +292,7 @@
         case 1:  sout << MLog::kRed;     break;  // err
         case 2:  sout << MLog::kYellow;  break;  // warn
-        case 3:  sout << MLog::kGreen;   break;  // inf
+        case 3:
+        case 4:
+        case 5:  sout << MLog::kGreen;   break;  // inf
         default: sout << MLog::kBlue;    break;  // all others (dbg)
         }
Index: trunk/MagicSoft/Mars/mbase/MLogManip.h
===================================================================
--- trunk/MagicSoft/Mars/mbase/MLogManip.h	(revision 8741)
+++ trunk/MagicSoft/Mars/mbase/MLogManip.h	(revision 8744)
@@ -30,5 +30,7 @@
 const _Debug warn = { 2 }; // use this for wrnings (yellow)
 const _Debug inf  = { 3 }; // use this for informations (green)
-const _Debug dbg  = { 4 }; // use this for debug messages (blue)
+const _Debug inf2 = { 4 }; // use this for informations (green)
+const _Debug inf3 = { 5 }; // use this for informations (green)
+const _Debug dbg  = { 6 }; // use this for debug messages (blue)
 
 inline _Debug debug(int level)
Index: trunk/MagicSoft/Mars/mbase/MParList.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MParList.cc	(revision 8741)
+++ trunk/MagicSoft/Mars/mbase/MParList.cc	(revision 8744)
@@ -234,9 +234,9 @@
     }
 
-    *fLog << inf << "Adding " << name << " to " << GetName() << "... " << flush;
+    *fLog << inf3 << "Adding " << name << " to " << GetName() << "... " << flush;
 
     cont->SetBit(kMustCleanup);
     fContainer->Add(cont);
-    *fLog << "Done." << endl;
+    *fLog << "done." << endl;
 
     return kTRUE;
@@ -292,5 +292,5 @@
         delete obj;
 
-    *fLog << inf << "MParContainer '" << cont->GetName() << "' found and replaced..." << endl;
+    *fLog << inf2 << "MParContainer '" << cont->GetName() << "' found and replaced..." << endl;
 
     return AddToList(cont);
@@ -564,5 +564,5 @@
     // if object is not existing in the list try to create one
     //
-    *fLog << inf << "Object '" << oname << "' ";
+    *fLog << inf2 << "Object '" << oname << "' ";
     if (oname!=cname)
         *fLog << "[" << cname << "] ";
Index: trunk/MagicSoft/Mars/mbase/MTaskList.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MTaskList.cc	(revision 8741)
+++ trunk/MagicSoft/Mars/mbase/MTaskList.cc	(revision 8744)
@@ -252,9 +252,9 @@
     const TString stream = type ? (TString)type : task->GetStreamId();
 
-    *fLog << inf << "Adding " << task->GetName() << " to " << GetName() << " for " << stream << "... " << flush;
+    *fLog << inf3 << "Adding " << task->GetName() << " to " << GetName() << " for " << stream << "... " << flush;
     task->SetStreamId(stream);
     task->SetBit(kMustCleanup);
     fTasks->AddBefore((TObject*)where, task);
-    *fLog << "Done." << endl;
+    *fLog << "done." << endl;
 
     return kTRUE;
@@ -282,9 +282,9 @@
     const TString stream = type ? (TString)type : task->GetStreamId();
 
-    *fLog << inf << "Adding " << task->GetName() << " to " << GetName() << " for " << stream << "... " << flush;
+    *fLog << inf3 << "Adding " << task->GetName() << " to " << GetName() << " for " << stream << "... " << flush;
     task->SetStreamId(stream);
     task->SetBit(kMustCleanup);
     fTasks->AddAfter((TObject*)where, task);
-    *fLog << "Done." << endl;
+    *fLog << "done." << endl;
 
     return kTRUE;
@@ -312,9 +312,9 @@
     const TString stream = type ? (TString)type : task->GetStreamId();
 
-    *fLog << inf << "Adding " << task->GetName() << " to " << GetName() << " for " << stream << "... " << flush;
+    *fLog << inf3 << "Adding " << task->GetName() << " to " << GetName() << " for " << stream << "... " << flush;
     task->SetStreamId(stream);
     task->SetBit(kMustCleanup);
     fTasks->Add(task);
-    *fLog << "Done." << endl;
+    *fLog << "done." << endl;
 
     return kTRUE;
@@ -1104,9 +1104,9 @@
         return kTRUE;
 
-    *fLog << inf << "Replacing " << task->GetName() << " in " << GetName() << " for " << obj->GetStreamId() << "... " << flush;
+    *fLog << inf2 << "Replacing " << task->GetName() << " in " << GetName() << " for " << obj->GetStreamId() << "... " << flush;
     task->SetStreamId(obj->GetStreamId());
     task->SetBit(kMustCleanup);
     fTasks->AddAfter((TObject*)obj, task);
-    *fLog << "Done." << endl;
+    *fLog << "done." << endl;
 
     RemoveFromList(obj);