Index: trunk/MagicSoft/Mars/ganymed.cc
===================================================================
--- trunk/MagicSoft/Mars/ganymed.cc	(revision 8765)
+++ trunk/MagicSoft/Mars/ganymed.cc	(revision 8767)
@@ -30,5 +30,5 @@
     gLog << "                  Ganymed - MARS V" << MARSVER            << endl;
     gLog << "   MARS -- Gammas Are Now Your Most Exciting Discovery"   << endl;
-    gLog << "   Compiled with ROOT v" << ROOT_RELEASE << " on <" << __DATE__ << ">" << endl;
+    gLog << "     Compiled with ROOT v" << ROOT_RELEASE << " on <" << __DATE__ << ">" << endl;
     gLog << "========================================================" << endl;
     gLog << endl;
@@ -207,4 +207,6 @@
     }
 
+    gSystem->ExpandPathName(kSequences);
+
     if (gSystem->AccessPathName(kSequences, kFileExists))
     {
Index: trunk/MagicSoft/Mars/mbase/MLog.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MLog.cc	(revision 8765)
+++ trunk/MagicSoft/Mars/mbase/MLog.cc	(revision 8767)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MLog.cc,v 1.57 2007-09-07 12:17:13 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MLog.cc,v 1.58 2007-11-27 14:32:00 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -292,7 +292,7 @@
         case 1:  sout << MLog::kRed;     break;  // err
         case 2:  sout << MLog::kYellow;  break;  // warn
-        case 3:
-        case 4:
-        case 5:  sout << MLog::kGreen;   break;  // inf
+        case 3:                                  // inf
+        case 4:                                  // inf2
+        case 5:  sout << MLog::kGreen;   break;  // inf3
         default: sout << MLog::kBlue;    break;  // all others (dbg)
         }
Index: trunk/MagicSoft/Mars/mbase/MLogHtml.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MLogHtml.cc	(revision 8765)
+++ trunk/MagicSoft/Mars/mbase/MLogHtml.cc	(revision 8767)
@@ -112,5 +112,7 @@
     case 1:  *fOut << "<font color='maroon'>";  break;  // err
     case 2:  *fOut << "<font color='#FF6600'>"; break;  // warn (olive?)
-    case 3:  *fOut << "<font color='green'>";   break;  // inf
+    case 3:                                             // inf
+    case 4:                                             // inf2
+    case 5:  *fOut << "<font color='green'>";   break;  // inf3
     default: *fOut << "<font color='navy'>";    break;  // all others (dbg)
     }
Index: trunk/MagicSoft/Mars/mhflux/MAlphaFitter.cc
===================================================================
--- trunk/MagicSoft/Mars/mhflux/MAlphaFitter.cc	(revision 8765)
+++ trunk/MagicSoft/Mars/mhflux/MAlphaFitter.cc	(revision 8767)
@@ -726,4 +726,6 @@
     case kWeakSource:
         return GetEventsBackground()<1 ? -GetEventsExcess() : -GetEventsExcess()/TMath::Sqrt(GetEventsBackground());
+    case kWeakSourceLogExcess:
+        return GetEventsBackground()<1 ? -GetEventsExcess() : -GetEventsExcess()/TMath::Sqrt(GetEventsBackground())*TMath::Log10(GetEventsExcess());
     }
     return 0;
Index: trunk/MagicSoft/Mars/mhflux/MAlphaFitter.h
===================================================================
--- trunk/MagicSoft/Mars/mhflux/MAlphaFitter.h	(revision 8765)
+++ trunk/MagicSoft/Mars/mhflux/MAlphaFitter.h	(revision 8767)
@@ -36,5 +36,6 @@
         kExcess,
         kGaussSigma,
-        kWeakSource
+        kWeakSource,
+        kWeakSourceLogExcess
     };
     enum SignalFunc_t {
Index: trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.h
===================================================================
--- trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.h	(revision 8765)
+++ trunk/MagicSoft/Mars/mjtrain/MJTrainDisp.h	(revision 8767)
@@ -30,5 +30,9 @@
     MJTrainDisp() : fTrainParameter(fgTrainParameter), fResultFunction("x"), fThetaCut(0.215), fNameOutput("Disp") { }
 
-    void SetTrainParameter(const char *txt) { fTrainParameter=txt; }
+    void SetTrainFunc(const char *par, const char *res="x")
+    {
+        fTrainParameter = par;
+        fResultFunction = res;
+    }
 
     void SetThetaCut(Float_t cut=0.215) { fThetaCut=cut; }
Index: trunk/MagicSoft/Mars/mpointing/MPointingDevCalc.cc
===================================================================
--- trunk/MagicSoft/Mars/mpointing/MPointingDevCalc.cc	(revision 8765)
+++ trunk/MagicSoft/Mars/mpointing/MPointingDevCalc.cc	(revision 8767)
@@ -221,6 +221,17 @@
 // [2007-08-14 22:46:10]
 // Comparing the trigger rate with yesterday night we do not see an
-// improvement with the new focussing. 
-//
+// improvement with the new focussing.
+//
+// [2007-10-27 email]
+// [...]
+// When removing the cover of the motor all 4 nuts which fix the gear of
+// the motor to the structure fell out. The motor was completely loose.
+// [...]
+// We checked also the second azimuth motor and .. the same situation.
+// [...]
+// Peter Sawallisch opened and fixed all 3 motors of MAGIC-I. We checked
+// all critical screws that came to our minds and fixed them as much as
+// possible with loctite and counter nuts. No damage whatsoever has been
+// found.
 //
 //
Index: trunk/MagicSoft/Mars/sponde.cc
===================================================================
--- trunk/MagicSoft/Mars/sponde.cc	(revision 8765)
+++ trunk/MagicSoft/Mars/sponde.cc	(revision 8767)
@@ -160,7 +160,7 @@
     // Setup sequence file and check for its existence
     //
-    const TString kInfile  = arg.GetArgumentStr(0);
-    const TString kDataset = arg.GetArgumentStr(1);
-    const TString kOutfile = arg.GetArgumentStr(2);
+    TString kInfile  = arg.GetArgumentStr(0);
+    TString kDataset = arg.GetArgumentStr(1);
+    TString kOutfile = arg.GetArgumentStr(2);
 
     if (kOutfile.IsNull() && kBatch)
@@ -170,7 +170,11 @@
     }
 
+    gSystem->ExpandPathName(kInfile);
+    gSystem->ExpandPathName(kDataset);
+    gSystem->ExpandPathName(kOutfile);
+
     if (gSystem->AccessPathName(kInfile, kFileExists))
     {
-        gLog << err << "Sorry, sequences file '" << kInfile << "' doesn't exist." << endl;
+        gLog << err << "Sorry, ganymed root-file '" << kInfile << "' doesn't exist." << endl;
         return 2;
     }
@@ -246,5 +250,5 @@
             return 2;
         }
-        if (kDebugEnv>0)
+        if (kDebugEnv>0 || gLog.GetDebugLevel()>=2)
             env.PrintUntouched();
 