Index: trunk/Dwarf/Documents/ApplicationDFG/application.bib
===================================================================
--- trunk/Dwarf/Documents/ApplicationDFG/application.bib	(revision 8613)
+++ trunk/Dwarf/Documents/ApplicationDFG/application.bib	(revision 8771)
@@ -1036,5 +1036,5 @@
 
 @INPROCEEDINGS{Riegel:2005icrc2,
-   author = {{Riegel}, B. and Bretz, T. and Dorner, D. and Wagner, R.~M. and others},
+   author = {{Riegel}, B. and Bretz, T. and Dorner, D. and Wagner, R.~M.},
     title = {A tracking monitor for the {MAGIC} telescope},
 booktitle = {$29^{th}$ International Cosmic Ray Conference},
@@ -2625,2 +2625,575 @@
   adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
 }
+
+@ARTICLE{Blandford,
+   author = {{Blandford}, R.~D. and {K\"onigl}, A.},
+    title = {Relativistic jets as compact radio sources},
+  journal = {\apj},
+     year = 1979,
+    month = aug,
+   volume = 232,
+    pages = {34-48},
+      doi = {10.1086/157262},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/1979ApJ...232...34B},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Dermer,
+   author = {{Dermer}, C.~D. and {Schlickeiser}, R. and {Mastichiadis}, A.},
+    title = {High-energy gamma radiation from extragalactic radio sources},
+  journal = {\aap},
+     year = 1992,
+    month = mar,
+   volume = 256,
+    pages = {L27-L30},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/1992A%26A...256L..27D},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Begelman,
+   author = {{Begelman}, M.~C. and {Fabian}, A.~C. and {Rees}, M.~J.},
+    title = "{Implications of very rapid TeV variability in blazars}",
+  journal = {ArXiv e-prints},
+   eprint = {0709.0540},
+     year = 2007,
+    month = sep,
+   volume = 709,
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2007arXiv0709.0540B},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Meszaros,
+   author = {{Meszaros}, P. and {Rees}, M.~J.},
+    title = {Gamma-Ray Bursts: Multiwaveband Spectral Predictions for Blast Wave Models},
+  journal = {\apjl},
+   eprint = {arXiv:astro-ph/9309011},
+     year = 1993,
+    month = dec,
+   volume = 418,
+    pages = {L59+},
+      doi = {10.1086/187116},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/1993ApJ...418L..59M},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Rachen,
+   author = {{Rachen}, J.~P. and {Biermann}, P.~L.},
+    title = {{E}xtragalactic {U}ltra-{H}igh {E}nergy {C}osmic-{R}ays - {P}art {O}ne - {C}ontribution from {H}ot {S}pots in {Fr-II} {R}adio {G}alaxies},
+  journal = {\aap},
+   eprint = {arXiv:astro-ph/9301010},
+     year = 1993,
+    month = may,
+   volume = 272,
+    pages = {161-+},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/1993A%26A...272..161R},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Mannheim:1999,
+   author = {{Mannheim}, K.},
+    title = {Frontiers in High-Energy Astroparticle Physics},
+booktitle = {Reviews in Modern Astronomy},
+     year = 1999,
+   series = {Reviews in Modern Astronomy},
+   volume = 12,
+   editor = {{Schielicke}, R.~E.},
+    pages = {167-+},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/1999RvMA...12..167M},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Blazejowski,
+   author = {{B{\l}a{\.z}ejowski}, M. and others},
+    title = "{A Multiwavelength View of the TeV Blazar Markarian 421: Correlated Variability, Flaring, and Spectral Evolution}",
+  journal = {\apj},
+   eprint = {arXiv:astro-ph/0505325},
+     year = 2005,
+    month = sep,
+   volume = 630,
+    pages = {130-141},
+      doi = {10.1086/431925},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2005ApJ...630..130B},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Rieger:2007,
+   author = {{Rieger}, F.~M.},
+    title = {Supermassive binary black holes among cosmic gamma-ray sources},
+  journal = {\apss},
+   eprint = {arXiv:astro-ph/0611224},
+     year = 2007,
+    month = jun,
+   volume = 309,
+    pages = {271-275},
+      doi = {10.1007/s10509-007-9467-y},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2007Ap%26SS.309..271R},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Kranich,
+   author = {{Kranich}, D.},
+    title = {Evidence for a {QPO} structure in the {TeV} and X-ray light curve during the 1997 high state {$\gamma$} emission of {Mkn}\,501},
+booktitle = {International Cosmic Ray Conference},
+     year = 1999,
+   series = {International Cosmic Ray Conference},
+   volume = 3,
+    month = aug,
+    pages = {358-+},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/1999ICRC....3..358K},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Osone,
+   author = {{Osone}, S.},
+    title = "{Study of 23 day periodicity of Blazar Mkn501 in 1997}",
+  journal = {Astroparticle Physics},
+   eprint = {arXiv:astro-ph/0506328},
+     year = 2006,
+    month = oct,
+   volume = 26,
+    pages = {209-218},
+      doi = {10.1016/j.astropartphys.2006.06.004},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2006APh....26..209O},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Rieger:2003,
+   author = {{Rieger}, F.~M. and {Mannheim}, K.},
+    title = {On the central black hole mass in Mkn 501},
+  journal = {\aap},
+   eprint = {arXiv:astro-ph/0210326},
+     year = 2003,
+    month = jan,
+   volume = 397,
+    pages = {121-125},
+      doi = {10.1051/0004-6361:20021482},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2003A%26A...397..121R},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Hong,
+   author = {{Hong}, X.~Y. and others},
+    title = "{A relativistic helical jet in the {$\gamma$}-ray AGN 1156+295}",
+  journal = {\aap},
+   eprint = {arXiv:astro-ph/0401627},
+     year = 2004,
+    month = apr,
+   volume = 417,
+    pages = {887-904},
+      doi = {10.1051/0004-6361:20031784},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2004A%26A...417..887H},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Aharonian:2006,
+   author = {{Aharonian}, F. and others},
+    title = "{The H.E.S.S.\ Survey of the Inner Galaxy in Very High Energy Gamma Rays}",
+  journal = {\apj},
+     year = 2006,
+    month = jan,
+   volume = 636,
+    pages = {777-797},
+      doi = {10.1086/498013},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2006ApJ...636..777A},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@MASTERSTHESIS{Meyer:Diploma,
+  author = {Meyer, M.},
+  title  = {{K}alibrierung des {MAGIC}-{T}eleskops mit {M}yonen},
+  school = {Bayerische Julius-Maximilians-Universit{\"a}t W{\"u}rzburg},
+  year   = {2004}
+}
+
+@INPROCEEDINGS{Bretz:2003drive,
+   author = {Bretz, T. and Dorner, D. and Wagner, R. M.},
+    title = "{The tracking system of the MAGIC telescope}",
+booktitle = {$28^{th}$ International Cosmic Ray Conference},
+     year = 2003,
+}
+
+@MASTERSTHESIS{Riegel:Diploma,
+  author = {Riegel, B.},
+  title  = {{S}ystematische {U}ntersuchung der {B}ildparameter f\"ur das {MAGIC}-{T}eleskop},
+  school = {Bayerische Julius-Maximilians-Universit{\"a}t W{\"u}rzburg},
+  year   = {2005}
+}
+
+@INPROCEEDINGS{Bretz:2003icrc,
+   author = {{Bretz}, T.},
+    title = {The {MAGIC} {A}nalysis and {R}econstruction {S}oftware},
+booktitle = {$28^{th}$ International Cosmic Ray Conference},
+     year = 2003,
+    month = Aug
+}
+
+@INPROCEEDINGS{Bretz:2004gamma,
+   author = {{Bretz}, T.},
+    title = {{MARS} - {R}oadmap to a standard analysis},
+booktitle = {$2^{nd}$ International Symposium on High Energy Gamma-Ray Astronomy},
+     year = 2004,
+    month = Jul
+}
+
+@ARTICLE{Paneque:2004,
+   author = {{Paneque}, D. and {Gebauer}, H.~J. and {Lorenz}, E. and {Mirzoyan}, R.
+},
+    title = "{A method to enhance the sensitivity of photomultipliers for Air Cherenkov Telescopes by applying a lacquer that scatters light}",
+  journal = {Nuclear Instruments and Methods in Physics Research A},
+     year = 2004,
+    month = feb,
+   volume = 518,
+    pages = {619-621},
+      doi = {10.1016/j.nima.2003.11.101},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2004NIMPA.518..619P},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Milagro:2007,
+   author = {{Abdo}, A.~A. and others},
+    title = "{TeV Gamma-Ray Sources from a Survey of the Galactic Plane with Milagro}",
+  journal = {ArXiv e-prints},
+   eprint = {0705.0707},
+     year = 2007,
+    month = may,
+   volume = 705,
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2007arXiv0705.0707A},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Rieger:2000,
+   author = {{Rieger}, F.~M. and {Mannheim}, K.},
+    title = "{Implications of a possible 23 day periodicity for binary black hole models in Mkn 501}",
+  journal = {\aap},
+   eprint = {arXiv:astro-ph/0005478},
+     year = 2000,
+    month = jul,
+   volume = 359,
+    pages = {948-952},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2000A%26A...359..948R},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Rieger:2001,
+   author = {{Rieger}, F.~M. and {Mannheim}, K.},
+    title = "{A Possible Black Hole Binary in Mkn 501}",
+booktitle = {American Institute of Physics Conference Series},
+     year = 2001,
+   series = {American Institute of Physics Conference Series},
+   volume = 558,
+   editor = {{Aharonian}, F.~A. and {V{\"o}lk}, H.~J.},
+    pages = {716-+},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2001AIPC..558..716R},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Rieger:2003,
+   author = {{Rieger}, F.~M. and {Mannheim}, K.},
+    title = "{On the central black hole mass in Mkn 501}",
+  journal = {\aap},
+   eprint = {arXiv:astro-ph/0210326},
+     year = 2003,
+    month = jan,
+   volume = 397,
+    pages = {121-125},
+      doi = {10.1051/0004-6361:20021482},
+   adsurl = {http://cdsads.u-strasbg.fr/abs/2003A%26A...397..121R},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Aharonian:2007pks,
+author = {{Aharonian}, F. and others},
+title = "{An Exceptional Very High Energy Gamma-Ray Flare of PKS 2155-304}",
+journal = {\apjl},
+eprint = {arXiv:0706.0797},
+year = 2007,
+month = aug,
+volume = 664,
+pages = {L71-L74},
+doi = {10.1086/520635},
+adsurl = {http://cdsads.u-strasbg.fr/abs/2007ApJ...664L..71A},
+adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@MASTERSTHESIS{Haffke:Dipl,
+  author = {Haffke, M.},
+  title  = "{Berechnung und Implementierung neuer Atmosph\"arenmodelle in die MAGIC-Monte-Carlo-Kette}",
+  school = {Universit{\"a}t Dortmund},
+  month  = {Mar},
+  year   = {2007}
+}
+
+@MASTERSTHESIS{Dreyer:Dipl,
+  author = {Dreyer, J.},
+  title  = {Hard- und {S}oftwareentwicklung im {R}ahmen der {E}xperimente {AMANDA} und {IceCube}},
+  school = {Universit{\"a}t Dortmund},
+  month  = {Nov},
+  year   = {2005}
+}
+
+@MASTERSTHESIS{Refflinghaus:Dipl,
+  author = {Refflinghaus, F.},
+  title  = "{Datenkompression der Photomultiplier-Signale des AMANDA-Neutrinodetektors}",
+  school = {Universit{\"a}t Dortmund},
+  month  = {Nov},
+  year   = {2005}
+}
+
+@MASTERSTHESIS{Bartelt:Dipl,
+  author = {Bartelt, M.},
+  title  = "{Test von alternativen Konzepten zur Hochspannungsversorgung des IceCube-Detektors}",
+  school = {Universit{\"a}t Dortmund},
+  month  = {Dez},
+  year   = {2004}
+}
+
+@MASTERSTHESIS{Deeg:Dipl,
+  author = {Deeg, M.},
+  title  = "{Prototypenentwicklung eines Detektorsystems für ultrahochenergetische Kosmische Strahlung}",
+  school = {Universit{\"a}t Dortmund},
+  month  = {Feb},
+  year   = {2003}
+}
+
+@PHDTHESIS{Messarius:PhD,
+  author = {Messarius, T.},
+  title  = {Entwurf und Realisation des AMANDA Softwaretriggers f\"ur das TWR Datenauslese System},
+  school = {Universit{\"a}t Dortmund},
+  month  = {Aug},
+  year   = {2003}
+}
+
+@PHDTHESIS{Wagner:PhD,
+  author = {Wagner, W.},
+  title  = "{Design and Realisation of a new AMANDA Data Aquisition System with Transient Waveform Recorders}",
+  school = {Universit{\"a}t Dortmund},
+  month  = {Oct},
+  year   = {2003}
+}
+
+@PHDTHESIS{Schroeder:PhD,
+  author = {Schroeder, F.},
+  title  = "{Simulation und Beobachtung von Luftschauern unter großen Zenitwinkeln}",
+  school = {Bergische Universit{\"a}t Wuppertal},
+  year   = {2001}
+}
+
+@ARTICLE{hepph0407075,
+  author  = {{Albert}, J.},
+  title   = "{Implementation of the Random Forest Method for the Imaging Atmospheric Cherenkov Telescope MAGIC}", 
+  journal = {ArXiv e-prints},
+  eprint  = {0709.3719},
+  year    = {2007},
+  month   = {Sep},
+  volume  = {709}, 
+  adsurl  = {http://cdsads.u-strasbg.fr/abs/2007arXiv0709.3719A},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Curtef:CDM,
+   author = {Curtef, V. and Backes, M. and Hadasch, D.},
+   title  = {Improvements of the energy reconstruction for the MAGIC telescope by means of analysis and Monte Carlo techniques},
+booktitle = {Astronomische Nachrichten},
+   volume = 328,
+     year = 2007,
+}
+
+@INPROCEEDINGS{Rueger,
+   author = {Rueger, M. and Spanier, F.},
+booktitle = {Astronomische Nachrichten},
+   volume = 328,
+     year = 2007,
+}
+
+@INPROCEEDINGS{Burkart,
+   author = {Burkart, T. and Spanier, F.},
+booktitle = {Astronomische Nachrichten},
+   volume = 328,
+     year = 2007,
+}
+
+@INPROCEEDINGS{Ruegamer,
+   author = {Ruegamer, S. and others},
+   title  = {Wide Range Multifrequency Observations of Northern TeV Blazars},
+booktitle = {Astronomische Nachrichten},
+   volume = 328,
+     year = 2007,
+}
+
+@ARTICLE{Kneiske,
+   author = {{Kneiske}, T.~M. and {Bretz}, T. and {Mannheim}, K. and {Hartmann}, D.~H.},
+    title = {Implications of cosmological gamma-ray absorption. {II}. Modification of gamma-ray spectra},
+  journal = {\aap},
+     year = 2004,
+    month = jan,
+   volume = 413,
+    pages = {807-815},
+      doi = {10.1051/0004-6361:20031542},
+   adsurl = {http://adsabs.harvard.edu/cgi-bin/nph-bib_query?bibcode=2004A%26A...413..807K&db_key=AST},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+ 
+@INPROCEEDINGS{Mannheim:1995,
+  author    = {{Mannheim}, K.},  
+  title     = "{Gamma Rays from Compact Objects. (Ludwig Biermann Award Lecture 1995)}",
+  booktitle = {Reviews in Modern Astronomy},
+  year      = 1996,
+  series    = {Reviews in Modern Astronomy},
+  volume    = 9,
+  editor    = {{Schielicke}, R.~E.},
+  pages     = {17-48}
+}
+
+@ARTICLE{Albert:501,
+ author  = {{MAGIC Collaboration}},
+ title   = "{Variable VHE gamma-ray emission from Markarian 501}",
+ journal = {ArXiv Astrophysics e-prints},
+ eprint  = {astro-ph/0702008},
+ year    = 2007,
+ month   = feb,
+ adsurl  = {http://cdsads.u-strasbg.fr/abs/2007astro.ph..2008M},
+ adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Muenich:Icrc,
+   author = {M"unich, K. and L"unemann, Jan},
+    title = {Measurement of the atmospheric lepton energy spectra with {AMANDA-II}},
+booktitle = {$30^{th}$ International Cosmic Ray Conference},
+     year = 2007,
+}
+
+@INPROCEEDINGS{Bretz:2005drive,
+   author = {Bretz, T. and Dorner, D. and Wagner, R.M. and Riegel, B.},
+    title = { A Scalable Drive System Concept for Future Projects},
+booktitle = {Towards a network of atmospheric Cherenkov detectors VII},
+     year = 2005,
+    month = Apr
+}
+
+@ARTICLE{Moralejo:2004,
+   author = {{Moralejo}, A. and others},
+    title = "{Monte Carlo estimate of flux sensitivity of MAGIC for point-like sources}",
+  journal = {Internal MAGIC report},
+     year = 2004,
+    month = {Dec},
+}
+
+@ARTICLE{MAGICsensi,
+ author = {{MAGIC Collaboration}},
+ title = "{MAGIC sensitivity at \url{http://magic.mppmu.mpg.de/physics/results/}}",
+ journal = {Official MAGIC website},
+ eprint = {http://magic.mppmu.mpg.de/physics/results/released/sensit.jpg},
+}
+
+@ARTICLE{Magnussen:1998,
+ author = {{Magnussen}, N.},   
+ title = "{The MAGIC Telescope Project for Gamma Astronomy above 10 GeV}", 
+ journal = {ArXiv Astrophysics e-prints},
+ eprint = {astro-ph/9805184},
+ year = 1998,
+ month = may,
+ adsurl = {http://adsabs.harvard.edu/abs/1998astro.ph..5184M},
+ adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Vassiliev:1999,
+ author = {{Vassiliev}, V.~V.},
+ title = "{VERITAS: Performance characteristics (baseline design)}",
+ booktitle = {International Cosmic Ray Conference},
+ year = 1999,
+ series = {International Cosmic Ray Conference},
+ volume = 5,
+ pages = {299-+},
+ adsurl = {http://adsabs.harvard.edu/abs/1999ICRC....5..299V},
+ adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}  
+
+@ARTICLE{Leier:2006,
+ author = {{Leier}, D. and {Becker}, J.~K. and {Groß}, A. and {Rhode}, W.},
+ title = "{Coincident observations between Neutrino- and TeV-Cherenkov-Telescopes}",
+ journal = {Internal IceCube report},
+ year = 2006,
+ month = {Apr},
+}  
+
+@ARTICLE{Barcelo,
+author = {{Pegna}, R. and {Barcel{\'o}}, M. and {Bitossi}, M. and {Cecchi}, R. and 
+{Fagiolini}, M. and {Paoletti}, R. and {Piccioli}, A. and {Turini}, N.
+},
+title = "{A GHz sampling DAQ system for the MAGIC-II telescope}",
+journal = {Nuclear Instruments and Methods in Physics Research A},
+year = 2007,
+month = mar,
+volume = 572,
+pages = {382-384},
+doi = {10.1016/j.nima.2006.10.375},
+adsurl = {http://cdsads.u-strasbg.fr/abs/2007NIMPA.572..382P},
+adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@MISC{Fraunhofer,
+  author = {Braun, S.},
+  title  = {Private communication},
+  school = {IWS Dresden, Fraunhofer Institute for Material and Beam Technology},
+  month  = {Sep},
+  year   = {2007},
+}
+
+@ARTICLE{AUGER-AGN,
+author = {{The Pierre Auger Collaboration}},
+title = "{Correlation of the Highest Energy Cosmic Rays with Nearby Extragalactic Objects}",
+journal = {Science},
+eprint = {0711.2256},
+year = 2007,
+month = nov,
+volume = 318,
+    pages = {938},
+}
+
+@ARTICLE{Tescaro:2007,
+ author = {{Tescaro}, D. and others },
+ title = "{Study of the performance and capability of the new ultra-fast 2 GSample/s FADC data acquisition system of the MAGIC telescope}",
+ journal = {ArXiv e-prints},
+ eprint = {0709.1410},
+ year = 2007,
+ month = sep,
+ volume = 709,
+ adsurl = {http://adsabs.harvard.edu/abs/2007arXiv0709.1410T},
+ adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@ARTICLE{Merrit,
+  title    = {Massive Black Hole Binary Evolution},
+  author   = {Merrit, D. and Milosavljevic, M.},
+  journal  = {Living Reviews in Relativity},
+  year     = {2005},
+  number   = {8},
+  volume   = {8},
+  keywords = {},
+  url      = {http://www.livingreviews.org/lrr-2005-8}
+}
+
+
+@INPROCEEDINGS{Juan:2000,
+   author = {{Cortina}, J. and {Barrio}, J.~A. and {Rauterberg}, G. and {The HEGRA Collaboration}
+	},
+    title = "{The New Data Acquisition Systems of the First Telescope in HEGRA}",
+booktitle = {American Institute of Physics Conference Series},
+     year = 2000,
+   series = {American Institute of Physics Conference Series},
+   volume = 515,
+   editor = {{Dingus}, B.~L. and {Salamon}, M.~H. and {Kieda}, D.~B.},
+    pages = {368-+},
+   adsurl = {http://adsabs.harvard.edu/abs/2000AIPC..515..368C},
+  adsnote = {Provided by the Smithsonian/NASA Astrophysics Data System}
+}
+
+@INPROCEEDINGS{Kestel:2000,
+   author = {{Kestel}, M. and {The HEGRA Collaboration}
+	},
+    title = "{The upgrade of the HEGRA CT1 telescope with new mirrors and new Trigger system}",
+booktitle = {16$^{th}$ European cosmic ray symposium},
+     year = 1998,
+   series = {Nuclear Physics B, Proc. Suppl.},
+   editor = {{Medina}, J.},
+}