Index: trunk/Dwarf/Documents/ApplicationDFG/application.tex
===================================================================
--- trunk/Dwarf/Documents/ApplicationDFG/application.tex	(revision 8771)
+++ trunk/Dwarf/Documents/ApplicationDFG/application.tex	(revision 8772)
@@ -505,5 +505,7 @@
  \includegraphics*[width=0.495\textwidth,angle=0,clip]{CT3.eps}
  \includegraphics*[width=0.495\textwidth,angle=0,clip]{DWARF.eps}
- \caption{Left: xxxxx Right: yyyy}
+ \caption{Left: The old HEGRA CT3 telescope as operated within the
+ HEGRA Sytem. Right: A photomontage how the revised CT3 telescope
+ could look like with more and hexagonal mirrors.}
 \label{CT3}
 \label{DWARF}
@@ -534,5 +536,5 @@
 The scientific focus of the project will be on the long-term monitoring
 of bright, nearby VHE emitting blazars.  At least one of the proposed
-targets will be visible any time of the year (see plot). For
+targets will be visible any time of the year ({\bf see plot}). For
 calibration purposes, some time will be scheduled for observations of
 the Crab nebula.  The blazar observations will allow 
@@ -542,7 +544,7 @@
 \item to cooperate with the Whipple monitoring telescope for an
 extended time coverage.
-\item to prompt Target of Opportunity (ToO) observations with MAGIC in
+\item to prompt Target-of-Opportunity (ToO) observations with MAGIC in
 the case of flares increasing time resolution. Corresponding
-Target-of-Opportunity (ToO) proposals to H.E.S.S.\ and Veritas are in
+ToO proposals to H.E.S.S.\ and Veritas are in
 preparation.
 \item to observe simultaneously with MAGIC which will provide an
@@ -582,5 +584,5 @@
 The work schedule assumes that the work will begin in January 2008,
 immediately after funding. Later funding would accordingly shift the
-schedule. Each year is divided into quarters (see figure xxx).
+schedule. Each year is divided into quarters ({\bf see figure xxx}).
 
 \paragraph{Software}
@@ -611,7 +613,7 @@
 
 We request funding for a total of three years. Summarizing, the
-expenses for the telescope (see section xxx) are dominated by the
+expenses for the telescope ({\bf see section xxx}) are dominated by the
 camera and data acquisition. The financial volume for the complete
-hardware inclusive transport amounts to 372.985\,\euro.
+hardware inclusive transport amounts to 372.985,-\,\euro.
 
 \subsection[4.1]{Required Staff (Personalbedarf)}
@@ -660,13 +662,13 @@
 \end{figure}
 
-{\bf Camera}\dotfill 207.550,00\,\euro\\[-3ex]
+{\bf Camera}\dotfill 207.550,-\,\euro\\[-3ex]
 \begin{quote}
    To setup a camera with 313 pixels the following components are needed:\\
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   Photomultiplier Tube EMI\,9083 KFLA-UD\hfill 220,00\,\euro\\
-   Active voltage divider ({\bf !!!!})\hfill 80,00\,\euro\\
-   High voltage support and control\hfill {\bf 300,00}\,\euro\\
-   Preamplifier\hfill 50,00\,\euro\\
-   Spare parts (overall)\hfill 3000,00\,\euro\\
+   Photomultiplier Tube EMI\,9083 KFLA-UD\hfill 220,-\,\euro\\
+   Active voltage divider ({\bf !!!!})\hfill 80,-\,\euro\\
+   High voltage support and control\hfill {\bf 300,-}\,\euro\\
+   Preamplifier\hfill 50,-\,\euro\\
+   Spare parts (overall)\hfill 3000,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
@@ -709,5 +711,5 @@
 round and have a diameter of $4.5^\circ-5.0^\circ$.
 
-Therefor a camera with 313 Pixel camera (see figure \ref{camDWARF}) is
+Therefor a camera with 313 pixel camera (see figure \ref{camDWARF}) is
 chosen. The camera will be built based on the experience with HEGRA and
 MAGIC. 19\,mm diameter Photomultiplier Tubes (PM, EMI\,9083\,KFLA-UD)
@@ -717,12 +719,25 @@
 peak energy). Each individual pixel has to be equipped with a
 preamplifier, an active high-voltage supply and control. The total
-expense for a single pixel will be in the order of 650\,\euro.
+expense for a single pixel will be in the order of 650,-\,\euro.
 
 All possibilities of borrowing one of the old HEGRA cameras for a
 transition time have been probed and refused by the owners of the
 cameras.
+
+{\bf At ETH~Z"urich currently test measurements are ongoing to prove the
+ability, i.e.\ stability, aging, quantum efficiency, etc., of using
+Geiger-mode APDs (Advanced Photon Detector aka. Silicon PM) as photon
+detector in the camera of a Cherenkov telescope. The advantages are
+extremely high quantum efficiency (>50\%), easier gain stabilization and
+simplified application compared to classical PMs. If these test
+measurements are successfully finished until 8/2008 we consider to use
+APDs in favor of classical PMs. The design of such a camera would take
+place at University Dortmund in close collaboration with the experts
+from ETH. Construction would also take place at the electronics
+workshop of Dortmund.}
+
 \end{quote}\vspace{3ex}
 
-{\bf Camera support}\dotfill 204.000,00\,\euro\\[-3ex]
+{\bf Camera support}\dotfill 204.000,-\,\euro\\[-3ex]
 \begin{quote}
 For this setup the camera holding has to be redesigned. (1500\,\euro)
@@ -733,5 +748,5 @@
 transmission of {\bf 5\%} is expected. Each PM will be equipped with a
 light-guide (Winston Cone) as developed by UC Davis and successfully in
-operation in the MAGIC camera. (3000\,\euro\ for all winston cones). The
+operation in the MAGIC camera. (3000,-\,\euro\ for all winston cones). The
 current design will be improved by using a high reflectivity aluminized
 Mylar mirror-foil, coated with a dialectical layer ($Si\,O_2$
@@ -744,10 +759,10 @@
 \end{quote}\vspace{3ex}
 
-{\bf Data acquisition}\dotfill 61.035,00\,\euro\\[-3ex]
+{\bf Data acquisition}\dotfill 61.035,-\,\euro\\[-3ex]
 \begin{quote}
 313 pixels a\\
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   Readout\hfill 95,00\,\euro\\
-   Trigger\hfill 100,00\,\euro\\
+   Readout\hfill 95,-\,\euro\\
+   Trigger\hfill 100,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
@@ -775,5 +790,5 @@
 As for the HEGRA telescopes a simple multiplicity trigger is sufficient,
 but also a simple three-next-neighbors (closed package) could be
-programmed. (both cases $\sim$30.000\,Eur: $<$100\,Eur/channel).
+programmed. (both cases $\sim$30.000,-\,\euro: $<$100,-\,\euro/channel).
 
 Additional data reduction and preprocessing in the readout hardware or
@@ -782,9 +797,9 @@
 than 250\,GB/month or 3\,TB/year. This amount of data can easily be
 stored and processed by the W"urzburg Datacenter (current online
-capacity $>$35\,TB, offline capacity $>$80\,TB, $>$26\,CPUs). 
+capacity $>$40\,TB, offline capacity $>$80\,TB, $>$40\,CPUs). 
 %}\\[2ex]
 \end{quote}\vspace{3ex}
 
-{\bf Mirrors}\dotfill 15.000,00\,\euro\\[-3ex]
+{\bf Mirrors}\dotfill 15.000,-\,\euro\\[-3ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
 \begin{quote}
@@ -809,5 +824,5 @@
 aluminized Mylar mirror-foil, and a dialectical layer of SiO2 as for
 the Winston Cones. By this, a gain in reflectivity of $\sim10\%$ is
-achieved, see plot \citep{Fraunhofer}.
+achieved, {\bf see plot} \citep{Fraunhofer}.
 
 \begin{figure}[thb]
@@ -827,25 +842,26 @@
 individual mirrors and the point-spread function of the total mirror
 during long-term observations, the application of an automatic mirror
-adjustment system, as developed by ETH Z"urich and successfully
-operated on the MAGIC telescope, is intended. <grey>The system
-will be provided by ETH Z"urich.</grey>
-
-{\bf For a diameter mirror of less than 2.4\,m, the delay between an
-parabolic (isochronus) and a spherical mirror shape at the edge is well
-below 1ns (see figure). Thus for a sampling rate of 1.2\,GHz parabolic
-individual mirrors are not needed. Due to their small size the
-individual mirrors can have a spherical shape.}
+adjustment system, as developed by ETH~Z"urich and successfully
+operated on the MAGIC telescope, is intended.
+%<grey>The system
+%will be provided by ETH Z"urich.</grey>
+
+%{\bf For a diameter mirror of less than 2.4\,m, the delay between an
+%parabolic (isochronus) and a spherical mirror shape at the edge is well
+%below 1ns (see figure). Thus for a sampling rate of 1.2\,GHz parabolic
+%individual mirrors are not needed. Due to their small size the
+%individual mirrors can have a spherical shape.}
 %}\\[2ex]
 \end{quote}\vspace{3ex}
 
-{\bf Calibration System}\dotfill 6.650\,\euro+IPR?\\[-3ex]
+{\bf Calibration System}\dotfill 6.650,-\,\euro+IPR?\\[-3ex]
 \begin{quote}
 Components\\
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   Absolute light calibration\hfill 2.000,00\,\euro\\
-   Individual pixel rate control\hfill ???,00\,\euro\\
-   Weather station\hfill 500,00\,\euro\\
-   GPS clock\hfill 1.500,00\,\euro\\
-   CCD cameras with readout\hfill 2.650,00\,\euro\\
+   Absolute light calibration\hfill 2.000,-\,\euro\\
+   Individual pixel rate control\hfill ???,-\,\euro\\
+   Weather station\hfill 500,-\,\euro\\
+   GPS clock\hfill 1.500,-\,\euro\\
+   CCD cameras with readout\hfill 2.650,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
@@ -865,6 +881,6 @@
 the camera surface and ensures a pointing accuracy well below the pixel
 diameter. Therefore a high sensitive low-cost video camera, as already
-in operation for MAGIC\ I and~II, ({\bf 300\,\euro\ camera, 600\,\euro\
-optics, 300\,\euro\ housing, 250\,\euro\ Frame grabber}) will be
+in operation for MAGIC\ I and~II, ({\bf 300,-\,\euro\ camera, 600,-\,\euro\
+optics, 300,-\,\euro\ housing, 250,-\,\euro\ Frame grabber}) will be
 installed.
 
@@ -878,17 +894,17 @@
 
 
-{\bf Computing}\dotfill 12.000,00\,\euro\\[-3ex]
+{\bf Computing}\dotfill 12.000,-\,\euro\\[-3ex]
 \begin{quote}
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   On-site\hfill 12.000\,\euro\\
-   Three PCs\hfill 8.000\,\euro\\
-   SATA RAID 3TB\hfill 4.000\,\euro\\
+   On-site\hfill 12.000,-\,\euro\\
+   Three PCs\hfill 8.000,-\,\euro\\
+   SATA RAID 3TB\hfill 4.000,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
-For on-site computing three standard PCs are needed ($\sim$8.000\,\euro).
+For on-site computing three standard PCs are needed ($\sim$8.000,-\,\euro).
 This includes readout and storage, preprocessing and telescope control.
 For safety reasons, a firewall is mandatory. For local cache-storage
 and backup, two RAID\,5 SATA disk arrays with one Terabyte capacity
-each will fulfill the requirement ($\sim$4.000\,\euro). The data will be
+each will fulfill the requirement ($\sim$4.000,-\,\euro). The data will be
 transmitted as soon as possible after data taking via Internet to the
 W"urzburg Datacenter. Enough storage capacity and computing power
@@ -899,17 +915,17 @@
 \end{quote}\vspace{3ex}
 
-{\bf Mount and Drive}\dotfill 17.500,00\,\euro\\[-3ex]
+{\bf Mount and Drive}\dotfill 17.500,-\,\euro\\[-3ex]
 \begin{quote}
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
 The present mount is used. Only a smaller investment for safety,
-corrosion protection, cable ducts, etc. is needed (7.500\,\euro). 
+corrosion protection, cable ducts, etc. is needed (7.500,-\,\euro). 
 
 For movement, motors, shaft encoders and control electronics in the
-order of 10.000\,\euro\ have to be bought. The costs have been estimated
+order of 10.000,-\,\euro\ have to be bought. The costs have been estimated
 with the experience from building the MAGIC drive systems. The DWARF
 drive system should allow for relatively fast repositioning for three
-reasons: 1)~Fast movement might be mandatory for future ToO
-observations. 2)~Wobble-mode observations will be done changing the
-wobble-position continuously (each 20\,min) for symmetry reasons. 3)~To
+reasons: (i)~Fast movement might be mandatory for future ToO
+observations. (ii)~Wobble-mode observations will be done changing the
+wobble-position continuously (each 20\,min) for symmetry reasons. (iii)~To
 ensure good time coverage of more than one source visible at the same
 time, the observed source will be changed in constant time intervals
@@ -918,5 +934,5 @@
 Therefore three 150\,Watt servo motors are intended to be bought. A
 micro-controller based motion control unit (Siemens SPS L\,20) similar to
-the one of the current MAGIC\ II drive system will be used. For
+the one of the current MAGIC~II drive system will be used. For
 communication with the readout-system, a standard ethernet connection
 based on the TCP/IP- and UDP-protocol will be setup.
@@ -924,14 +940,14 @@
 \end{quote}\vspace{3ex}
 
-{\bf Security}\dotfill 4.000,00\,\euro\\[-3ex]
+{\bf Security}\dotfill 4.000,-\,\euro\\[-3ex]
 \begin{quote}
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   UPS\hfill 2.000,00\,\euro\\
-   Security fence\hfill 2.000,00\,\euro\\
+   UPS\hfill 2.000,-\,\euro\\
+   Security fence\hfill 2.000,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
 An uninterruptable power-supply unit (UPS) with 5\,kW-10\,kW will be
 installed to protect the equipment against power cuts and ensure a safe
-telescope position at the time of sunrise. ($<$2.000\,Eur)
+telescope position at the time of sunrise. ($<$2.000,-\,\euro)
 
 A fence for protection in case of robotic movement will be
@@ -939,8 +955,8 @@
 \end{quote}\vspace{3ex}
 
-{\bf Other expenses}\dotfill 7.500,00\,\euro\\[-3ex]
+{\bf Other expenses}\dotfill 7.500,-\,\euro\\[-3ex]
 \begin{quote}
 \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   Robotics\hfill 7.500,00\,\euro\\
+   Robotics\hfill 7.500,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
@@ -951,9 +967,9 @@
 \end{quote}\vspace{3ex}
 
-{\bf 4.2 Consumables (Verbrauchsmaterial)}\dotfill 10.750,00\,\euro\\[-3ex]
+{\bf 4.2 Consumables (Verbrauchsmaterial)}\dotfill 10.750,-\,\euro\\[-3ex]
 \begin{quote}
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   10 LTO\,4 tapes (8\,TB)\hfill 750,00\,\euro\\
-   Consumables (overalls) tools and materials\hfill 10.000,00\,\euro\\
+   10 LTO\,4 tapes (8\,TB)\hfill 750,-\,\euro\\
+   Consumables (overalls) tools and materials\hfill 10.000,-\,\euro\\
    \end{minipage}\\[-0.5ex]
 %\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
@@ -966,5 +982,5 @@
 \hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
 \hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.1+4.2:\hfill{\bf
-352.985,00\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+352.985,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
 \hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
 \hspace*{0.66\textwidth}\hrulefill\\
@@ -973,5 +989,5 @@
 \subsection[4.3]{Reisen/Travel expenses}
 
-In total, we apply for an amount of 72.200\,\euro\ for travelling. This
+In total, we apply for an amount of 72.200,-\,\euro\ for travelling. This
 large amount of travel funding is required due to the very close
 cooperation between Dortmund and W"urzburg and the work demands on the
@@ -984,20 +1000,20 @@
 or conference: 
 
-2 x 3 years x 1500\,\euro\dotfill 9000,00\,\euro\\
+2 x 3 years x 1500\,\euro\dotfill 9.000,-\,\euro\\
 
 One participation on the biannual MAGIC collaboration meeting:
 
-2 x 3 years x 1000\,\euro\dotfill 6000,00\,\euro\\
+2 x 3 years x 1000\,\euro\dotfill 6.000,-\,\euro\\
 
 PhD student exchange between W"urzburg and Dortmund
 
 1 student x 1 week x 24 (every six weeks) x 800\,\euro\dotfill
-19.200,00\,\euro\\
-
-For setup of the telescope at La Palme the following travel expenses
+19.200,-\,\euro\\
+
+For setup of the telescope at La Palma the following travel expenses
 are necessary:
 
 4 x 2 weeks at La Palma x 2 persons x 1800\,\euro\dotfill
-28.800,00\,\euro\\
+28.800,-\,\euro\\
 %}
 \end{quote}
@@ -1093,5 +1109,5 @@
 
 The group of the newly appointed {\em Lehrstuhl f"ur Physik und Ihre
-Didaktik} (Prof.~Dr.~Thomas Trefzger} has expressed their interest to
+Didaktik} (Prof.~Dr.~Thomas Trefzger) has expressed their interest to
 join the project. They bring in a laboratory for photo-sensor testing,
 know-how from former contributions to ATLAS and a joint interest in
@@ -1167,5 +1183,5 @@
 
 \newpage
-\section[8]{Verzeichnis der Anlagen/List of appendages}
+\section[8]{Verzeichnis der Anlagen/List of appendices}
 
 \begin{itemize}