Index: trunk/Dwarf/Documents/ApplicationDFG/application.tex
===================================================================
--- trunk/Dwarf/Documents/ApplicationDFG/application.tex	(revision 8777)
+++ trunk/Dwarf/Documents/ApplicationDFG/application.tex	(revision 8781)
@@ -42,5 +42,5 @@
 \maketitle
 \newpage
-x
+\mbox{}
 \thispagestyle{empty}
 \cleardoublepage
@@ -117,51 +117,53 @@
 %\subsection[1.6]{Summary}
 We propose to set up a robotic imaging air-Cherenkov telescope with low
-cost, but a high performance design for remote operation. The goal is to
-dedicate this gamma-ray telescope to long-term monitoring observations
-of nearby, bright blazars at very high energies. We will (i) search for
-orbital modulation of the blazar emission due to supermassive black
-hole binaries, (ii) study the statistics of flares and their physical
-origin, and (iii) correlate the data with corresponding data from the
-neutrino observatory IceCube to search for evidence of hadronic
-emission processes. The observations will furthermore trigger follow-up
-observations of flares with higher sensitivity telescopes such as
-MAGIC, VERITAS and H.E.S.S.\ Joint observations with the Whipple
-monitoring telescope will start a future 24\,h-monitoring of selected
-sources with a distributed network of robotic telescopes. The telescope
-design is based on a complete technological upgrade of one of the former
-telescopes of the HEGRA collaboration (CT3) still located at the
-Observatorio Roque de los Muchachos on the Canarian Island La Palma
-(Spain). After this upgrade, the telescope will be operated
-robotically, a much lower energy threshold below 350\,GeV will be
-achieved and the observation time required for gaining the same signal
-as with CT3 will be reduced by a factor of six.
+cost, but a high performance design for remote operation. The goal is
+the long-term monitoring observations of nearby, bright blazars at very
+high energies. We will (i) search for orbital modulation of the blazar
+emission due to supermassive black hole binaries, (ii) study the
+statistics of flares and their physical origin, and (iii) correlate the
+data with corresponding data from the neutrino observatory IceCube to
+search for evidence of hadronic emission processes. The observations
+will furthermore trigger follow-up observations of flares with higher
+sensitivity telescopes such as MAGIC, \mbox{VERITAS} and H.E.S.S. Joint
+observations with the Whipple monitoring telescope will start a future
+\mbox{24\,h-monitoring} of selected sources with a distributed network of
+robotic telescopes. The telescope design is based on a complete
+technological upgrade of one of the former telescopes of the HEGRA
+collaboration (CT3) still located at the Observatorio del Roque de los
+Muchachos on the Canary Island La Palma (Spain). After this upgrade,
+the telescope will be operated robotically, a much lower energy
+threshold below 350\,GeV will be achieved, and the observation time
+required for gaining the same signal as with CT3 will be reduced by a
+factor of six.
 
 \germanTeX
 \paragraph{\bf 1.6 Zusammenfassung}~\\
 %\subsection[1.6]{Zusammenfassung}
-{\bf Unser Vorhaben besteht darin, ein robotisches Luft-Cherenkov-Teleskop
-mit geringen Kosten aber hoher Leistung fernsteuerbar in Betrieb zu
-nehmen. Das Ziel ist es, dieses Gammastrahlen Teleskop ganz der
-Langzeitbeobachtung von nahen, hellen Blazaren bei sehr hohen Energien
-zu widmen. Wir werden (i) nach Modulationen der Blazar-Emission durch
-Bin"arsysteme von supermassiven Schwarzen L"ochern suchen, (ii) die
-Statistik von gamma-Ausbr"uchen und deren physikalischen Ursprung
-untersuchen und (iii) die Daten mit entsprechenden Daten von dem
-Neutrino-Teleskop IceCube korrelieren, um Nachweise f"ur hadronische
-Emissionsprozesse zu finden. Die Beobachtungen werden zus"atzlich
-Nachfolgebeobachtungen von gamma-Ausbr"uchen mit h"ohersensitiven
-Teleskopen wie MAGIC, VERITAS und H.E.S.S.\ triggern. Aufeinander
-abgestimmte Beobachtungen zusammen mit dem Whipple Teleskop werden der
-Auftakt zu einer zuk"unftigen 24-Stunden-Beobachtung von selektierten
-Quellen mit einem verteilten Netzwerk robotischer Cherenkov-Teleskope
-sein. Das Teleskop-Design basiert auf einem kompletten technologischen
-Upgrade eines der Teleskope der fr"uheren HEGRA-Kollaboration, welches
-noch immer am Observatorio Roque de los Muchachos auf der kanarischen
-Insel La Palma (Spanien) gelegen ist. Nach diesem Upgrade wird das
-Teleskop robotisch betrieben werden und eine wesentlich geringere
-Energieschwelle von unter 350\,GeV aufweisen, w"ahrend gleichzeitig die
-notwendige Beobachtungszeit, um dasselbe Signal wie CT3 zu erhalten, um
-einen Faktor sechs verringert wird.}
-\originalTeX
+Das Ziel unseres Vorhabens ist es, ein abbildendes
+Luft-Cherenkov-Teleskop mit geringen Kosten, aber hoher Leistung f"ur
+den ferngesteuerten Betrieb aufzubauen. Die Motivation ist die
+kontinuierliche Langzeitbeobachtung von hellen, nahen Blazaren bei sehr
+hohen Energien. Mit diesen Beobachtungen werden wir nach
+bahndynamischen Modulationen suchen, welche von Bin"arsystemen
+supermassiver schwarzer L"ocher in der emittierten Strahlung
+hervorgerufen werden. Au"serdem werden die gewonnenen Daten mit den
+entsprechenden Daten des Neutrinoteleskops IceCube korreliert, um nach
+Hinweisen f"ur hadroninduzierte Emissionsprozesse zu suchen. Die
+kontinuierliche "Uberwachung ausgew"ahlter Quellen wird zudem besser
+aufgel"oste Beobachtungen und Nachbeobachtungen von
+Strahlungsausbr"uchen durch Teleskope h"oherer Sensitivit"at, wie z.B.\
+MAGIC, VERITAS und H.E.S.S., erlauben. Die zeitversetzten, gemeinsamen
+Beobachtungen zusammen mit dem Whipple-Teleskop stellen den Beginn
+ununterbrochener Beobachtungen mit einem weltweiten Netzwerk
+robotischer Teleskope dar. Unser Teleskopdesign basiert auf einer
+technischen Runderneuerung eines Teleskops der fr"uheren
+HEGRA-Kollaboration (CT3), welches noch immer am Observatorio del Roque de
+los Muchachos auf der Kanarischen Insel La Palma (Spanien) steht. Nach
+dieser Aufr"ustung wird das Teleskop vollst"andig ferngesteuert
+betrieben werden, eine viel niedrigere Energieschwelle von unter
+350\,GeV erreichen und die Beobachtungszeit, um ein gleichstarkes
+Signal wie mit CT3 zu erhalten, wird um einen Faktor sechs k"urzer
+sein. 
+\originalTeX 
 \newpage
 
@@ -322,5 +324,5 @@
 exposure simultaneous to the VHE observations, and this is a new
 qualitative step for blazar research. For the same reasons, the VERITAS
-collaboration keeps the former Whipple telescope alive, albeit its
+collaboration keeps the Whipple telescope alive, albeit its
 performance seems to have strongly degraded. It is obvious that the
 large Cherenkov telescopes such as MAGIC, H.E.S.S.\ or VERITAS are mainly
@@ -436,7 +438,5 @@
 model \citep{Haffke:Dipl,Schroeder:PhD} for the local atmosphere of La
 Palma. Furthermore the group has developed high precision Monte Carlos
-for Lepton propagation in different media
-%\citep{hepph0407075}. An
-\citep{xxx}.
+for Lepton propagation in different media \citep{Chirkin:2004}.
 An energy unfolding method and program has been adapted for IceCube and
 MAGIC data analysis \citep{Curtef:CM,Muenich:ICRC}.
@@ -520,5 +520,5 @@
 targets will be visible any time of the year (see
 fig.~\ref{visibility}). For calibration purposes, some time will be
-scheduled for observations of the Crab Nebula.\\
+scheduled for observations of the Crab \mbox{Nebula}.\\
 
 The blazar observations will allow
@@ -573,7 +573,6 @@
 \begin{center}
  \includegraphics*[width=\textwidth,angle=0,clip]{schedule.eps}
-% \caption{Left: The old HEGRA CT3 telescope as operated within the
-% HEGRA Sytem. Right: A photomontage how the revised CT3 telescope
-% could look like with more and hexagonal mirrors.}
+ \caption{Work schedule for the expected funding period of three years.
+  More details about the work distribution is given in the text.}
 \label{schedule}
 %\label{DWARF}
@@ -644,5 +643,5 @@
 none
 
-\clearpage
+\clearpage                                                                 
 
 \section[4]{Funds requested (Beantragte Mittel)}
@@ -668,5 +667,5 @@
 \subsection[4.2]{Scientific equipment (Wissenschaftliche Ger\"{a}te)}
 
-At the Observatorio Roque de los Muchachos (ORM), at the MAGIC site,
+At the Observatorio del Roque de los Muchachos (ORM), at the MAGIC site,
 the mount of the former HEGRA telescope CT3 now owned by the MAGIC
 collaboration is still serviceable. One hut for electronics close to
@@ -677,11 +676,8 @@
 autonomous robotic operation is the primary goal.
 
-To achieve the planned sensitivity and threshold
-(fig.~\ref{sensitivity}), the following components have to be bought.
-To obtain reliable results as fast as possible well known components
-have been chosen.
 \begin{figure}[hb]
 \centering{
-\includegraphics[width=0.605\textwidth]{sensitivity.eps}
+%\includegraphics[width=0.605\textwidth]{sensitivity.eps}
+\includegraphics[width=0.70\textwidth]{sensitivity.eps}
 \caption{Integral flux sensitivity of several telescopes
 \citep{Juan:2000,MAGICsensi,Vassiliev:1999} 
@@ -691,5 +687,10 @@
 } \label{sensitivity} } 
 \end{figure}
-\clearpage
+
+To achieve the planned sensitivity and threshold
+(fig.~\ref{sensitivity}), the following components have to be bought.
+To obtain reliable results as fast as possible well known components
+have been chosen.\\
+
 {\bf Camera}\dotfill 206.450,-\,\euro\\[-3ex]
 \begin{quote}
@@ -787,4 +788,5 @@
 \end{quote}\vspace{3ex}
 
+\newpage
 {\bf Data acquisition}\dotfill 61.035,-\,\euro\\[-3ex]
 \begin{quote}
@@ -909,5 +911,4 @@
 \begin{quote}
    \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
-   On-site\hfill 12.000,-\,\euro\\
    Three PCs\hfill 8.000,-\,\euro\\
    SATA RAID 3TB\hfill 4.000,-\,\euro\\
@@ -982,5 +983,5 @@
 \hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
 \hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.2:\hfill{\bf
-340.635,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+341.135,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
 \hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
 \hspace*{0.66\textwidth}\hrulefill\\
@@ -1050,5 +1051,5 @@
 \hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
 \hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.4:\hfill{\bf
-72.200,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+63.000,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
 \hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
 \hspace*{0.66\textwidth}\hrulefill\\
@@ -1231,5 +1232,5 @@
 \thispagestyle{empty}
 \newpage
-x
+\mbox{}
 \thispagestyle{empty}
 \newpage
@@ -1240,4 +1241,5 @@
 %Schriftenverzeichnis der Antragsteller seit dem Jahr 2000
 List of refereed publications of the applicants since 2000
+\item Appendix A: Chapter 4 in German
 \item CV of Karl Mannheim
 \item CV of Wolfgang Rhode
@@ -1249,7 +1251,380 @@
 \end{itemize}
 \newpage
-x
+\mbox{}
 \thispagestyle{empty}
 \newpage
+
+\appendix
+\germanTeX
+\section[4]{Beantragte Mittel}
+
+Die beantragten Mittel werden durch die Ausgaben f"ur die Kamera und
+die Datennahme dominiert. Wir beantragen eine F"orderung von drei Jahren.
+
+\subsection[4.1]{Personalkosten}
+
+F"ur diesen Zeitraum beantragen wir die Finanzierung von zwei Postdocs
+und zwei Doktoranden, jeweils einer in Dortmund und einer in W"urzburg
+(3\,x\,TV-L13). Mit den besetzten Stellen sollen die erw"ahnten Arbeiten
+zur Planung und zum Bau des Teleskops durchgef"uhrt werden. Zus"atzlich
+wird noch eine schwankende Zahl an Doktoranden und Diplomanden
+zur Verf"ugung stehen.
+
+Interessierte Kandidaten sind Dr.\ Thomas
+Bretz, Dr.\ dest.\ Daniela Dorner, Dr.\ dest.\ Kirsten M\"{u}nich,
+cand.\ phys.\ Michael Backes, cand.\ phys.\ Daniela Hadasch und cand.\
+phys.\ Dominik Neise. 
+
+\subsection[4.2]{Wissenschaftliche Ger\"{a}te}
+
+Am Observatorio del Roque de los Muchachos (ORM), nahe dem MAGIC
+Teleskop, steht noch das ehemalige HEGRA-Teleskop (CT3) zur Verf"ugung.
+Es ist noch immer nutzbar und geh"ort jetzt der MAGIC Kollaboration.
+Au"serdem ist noch ein Container zur Unterbringung von Elektronik,
+sowie weiterer Platz im MAGIC-eignenen Haus vorhanden. Der Memorandum
+of Understanding der MAGIC-Kollaboration erlaubt uns den Betrieb des
+Teleskops als DWARF (see Anlage). F"ur Notfallsituationen steht die
+MAGIC Schichtmannschaft zur Verf"ugung.
+
+Um die angestrebte Sensitivit"at und Energieschwelle (fig.~\ref{sensitivity})
+in m"oglichgst kurzer Zeit zu erreichen, wurden die folgenden
+Komponenten ausgew"ahlt. Einzelheiten zu den Auswahlkriterien k"onnen
+im Kapitel~4 nachgelesen werden.\\
+
+{\bf Kamera}\dotfill 206.450,-\,\euro\\[-3ex]
+\begin{quote}
+   F"ur eine Kamera mit 313 Pixel werden folgende Komponenten ben"otigt:\\
+   \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
+   Photomultiplier R"ohre EMI\,9083B\hfill 220,-\,\euro\\
+   Aktiver Spannungsteiler (EMI)\hfill 80,-\,\euro\\
+   Hochspannungsversorgung und -kontrolle\hfill 300,-\,\euro\\
+   Vorverst"arker\hfill 50,-\,\euro\\
+   Ersatzteile (pauschal)\hfill 3000,-\,\euro\\
+   \end{minipage}\\[-0.5ex]
+%For long-term observations, the stability of the camera is a major
+%criterion. To keep the systematic errors small, a good background
+%estimation is mandatory. The only possibility for a synchronous
+%determination of the background is the measurement from the night-sky
+%observed in the same field-of-view with the same instrument. To achieve
+%this, the observed position is moved out of the camera center which
+%allows the estimation of the background from positions symmetric with
+%respect to the camera center (so called Wobble mode). This observation
+%mode increases the sensitivity by a factor of $\sqrt{2}$, because
+%spending observation time for dedicated background observations becomes
+%obsolete, i.e.\ observation time for the source is doubled. This
+%ensures in addition a better time coverage of the observed sources.\\
+%A further increase in sensitivity can be achieved by better background
+%statistics from not only one but several independent positions for the
+%background estimation in the camera \citep{Lessard:2001}. To allow for
+%this the source position in Wobble mode should be shifted
+%$0.6^\circ-0.7^\circ$ out of the camera center. 
+%
+%A camera completely containing the shower images of events in the energy
+%region of 1\,TeV-10\,TeV should have a diameter in the order of
+%5$^\circ$. To decrease the dependence of the measurements on the camera
+%geometry, a camera layout as symmetric as possible will be chosen.
+%Consequently a camera allowing to fulfill these requirements should be
+%round and have a diameter of $4.5^\circ-5.0^\circ$.
+%
+%Therefore a camera with 313 pixel camera (see fig.~\ref{camDWARF}) is
+%chosen. The camera will be built based on the experience with HEGRA and
+%MAGIC. 19\,mm diameter Photomultiplier Tubes (PM, EMI\,9083B/KFLA-UD)
+%will be bought, similar to the HEGRA type (EMI\,9083\,KFLA). They have
+%a quantum efficiency improved by 25\% (see fig.~\ref{qe}) and ensure a
+%granularity which is enough to guarantee good results even below the
+%energy threshold (flux peak energy). Each individual pixel has to be
+%equipped with a preamplifier, an active high-voltage supply and
+%control. The total expense for a single pixel will be in the order of
+%650,-\,\euro.
+%
+%All possibilities of borrowing one of the old HEGRA cameras for a
+%transition time have been probed and refused by the owners of the
+%cameras.
+%
+%At ETH~Z\"{u}rich currently test measurements are ongoing to prove the
+%ability, i.e.\ stability, aging, quantum efficiency, etc., of using
+%Geiger-mode APDs (GAPD) as photon detectors in the camera of a
+%Cherenkov telescope. The advantages are an extremely high quantum
+%efficiency ($>$50\%), easier gain stabilization and simplified
+%application compared to classical PMs. If these test measurements are
+%successfully finished until 8/2008, we consider to use GAPDs in favor
+%of classical PMs. The design of such a camera would take place at
+%University Dortmund in close collaboration with the experts from ETH.
+%The construction would also take place at the electronics workshop of
+%Dortmund.
+\end{quote}\vspace{3ex}
+\newpage
+{\bf Kameraaufh"angung und -geh"ause}\dotfill 7.500,-\,\euro\\[-3ex]
+\begin{quote}
+%For this setup the camera holding has to be redesigned. (1500,-\,\euro)
+%The camera chassis must be water tight and will be equipped with an
+%automatic lid, protecting the PMs at daytime. For further protection, a
+%plexi-glass window will be installed in front of the camera. By coating
+%this window with an anti-reflex layer of magnesium-fluoride, a gain in
+%transmission of 5\% is expected. Each PM will be equipped with a
+%light-guide (Winston cone) as developed by UC Davis and successfully in
+%operation in the MAGIC camera. (3000,-\,\euro\ for all Winston cones). The
+%current design will be improved by using a high reflectivity aluminized
+%Mylar mirror-foil, coated with a dialectical layer ($Si\,O_2$
+%alternated with Niobium Oxide), to reach a reflectivity in the order of
+%98\%. An electric and optical shielding of the individual PMs is
+%planned.
+%
+%In total a gain of $\sim$15\% in light-collection
+%efficiency compared to the old CT3 system can be achieved.
+\end{quote}%\vspace{1ex}
+{\bf Datanahme}\dotfill 61.035,-\,\euro\\[-3ex]
+\begin{quote}
+313 Pixels\\
+   \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
+   Auslese\hfill 95,-\,\euro\\
+   Triggerelektronik\hfill 100,-\,\euro\\
+   \end{minipage}\\[-0.5ex]
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+%For the data acquisition system a hardware readout based on an analog
+%ring buffer (Domino\ II/IV), currently developed for the MAGIC~II
+%readout, will be used \citep{Barcelo}. This technology allows to sample
+%the pulses with high frequencies and readout several channels with a
+%single Flash-ADC resulting in low costs. The low power consumption will
+%allow to include the digitization near the signal source making
+%the transfer of the analog signal obsolete. This results in less
+%pick-up noise and reduces the signal dispersion. By high sampling rates
+%(1.2\,GHz), additional information about the pulse shape can be
+%obtained. This increases the over-all sensitivity further, because the
+%short integration time allows for almost perfect suppression of noise
+%due to night-sky background photons. The estimated trigger-, i.e.\
+%readout-rate of the telescope is below 100\,Hz (HEGRA: $<$10\,Hz) which
+%allows to use a low-cost industrial solution for readout of the system,
+%like USB\,2.0.
+%
+%Current results obtained with the new 2\,GHz FADC system in the MAGIC
+%data acquisition show, that for a single telescope a sensitivity
+%improvement of 40\% with a fast FADC system is achievable \citep{Tescaro:2007}.
+%
+%Like for the HEGRA telescopes a simple multiplicity trigger is
+%sufficient, but also a simple neighbor-logic could be programmed (both
+%cases $\sim$100,-\,\euro/channel).
+%
+%Additional data reduction and preprocessing within the readout chain is
+%provided. Assuming conservatively a readout rate of 30\,Hz, the storage
+%space needed will be less than 250\,GB/month or 3\,TB/year. This amount
+%of data can easily be stored and processed by the W\"{u}rzburg
+%Datacenter (current capacity $>$80\,TB, $>$40\,CPUs). 
+\end{quote}\vspace{3ex}
+
+{\bf Spiegel}\dotfill 15.000,-\,\euro\\[-3ex]
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+\begin{quote}
+%The existing mirrors will be replaced by new plastic mirrors currently
+%developed by Wolfgang Dr\"{o}ge's group. The cheap and light-weight
+%material has been formerly used for Winston cones in balloon
+%experiments. The mirrors are copied from a master and coated with a
+%reflecting and a protective material. Tests have given promising
+%results. By a change of the mirror geometry, the mirror area can be
+%increased from 8.5\,m$^2$ to 13\,m$^2$ (see picture~\ref{CT3} and
+%montage~\ref{DWARF}). This includes an increase of $\sim$10$\%$ per
+%mirror by using a hexagonal layout instead of a round one. A further
+%increase of the mirror area would require a reconstruction of parts of
+%the mount and will therefore be considered only in a later phase of the
+%experiment.
+%
+%If the current development of the plastic mirrors cannot be finished in
+%time, a re-machining of the old glass mirrors (8.5\,m$^2$) is possible
+%with high purity aluminum and quartz coating. 
+%
+%In both cases the mirrors can be coated with the same high reflectivity
+%aluminized Mylar mirror-foil and a dialectical layer of $SiO_2$ as for
+%the Winston cones. By this, a gain in reflectivity of $\sim10\%$ is
+%achieved, see fig.~\ref{reflectivity} \citep{Fraunhofer}. Both
+%solutions would require the same expenses.
+%
+%To keep track of the alignment, reflectivity and optical quality of the
+%individual mirrors and the point-spread function of the total mirror
+%during long-term observations, the application of an automatic mirror
+%adjustment system, as developed by ETH~Z\"{u}rich and successfully
+%operated on the MAGIC telescope, is intended.
+\end{quote}%\vspace{3ex}
+{\bf Kalibrationssystem}\dotfill 9.650,-\,\euro\\[-3ex]
+\begin{quote}
+Einzelkomponenten\\
+   \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
+   Absolute Lichtkalibration\hfill 2.000,-\,\euro\\
+   Messung der Trigger Rate einzelner Pixel\hfill 3.000,-\,\euro\\
+   Wetterstation\hfill 500,-\,\euro\\
+   GPS gesteuerte Uhr\hfill 1.500,-\,\euro\\
+   CCD Kameras mit Auslese\hfill 2.650,-\,\euro\\
+   \end{minipage}\\[-0.5ex]
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+%For the absolute light calibration (gain-calibration) of the PMs a
+%calibration box, as successfully used in the MAGIC telescope, will be
+%produced.
+%
+%To ensure a homogeneous acceptance of the camera, essential for
+%Wobble mode observations, the trigger rate of the individual pixels
+%will be measured and controlled.
+%
+%For a correction of axis misalignments and possible deformations of the
+%structure (e.g.\ bending of camera holding masts) a pointing correction
+%algorithm will be applied, as used in the MAGIC tracking system. It is
+%calibrated by measurements of the reflection of bright guide stars on
+%the camera surface and ensures a pointing accuracy well below the pixel
+%diameter. Therefore a high sensitive low-cost video camera, as for
+%MAGIC\ I and~II, (300,-\,\euro\ camera, 600,-\,\euro\ optics,
+%300,-\,\euro\ housing, 250,-\,\euro\ frame grabber) will be installed.
+%
+%A second identical CCD camera for online monitoring (starguider) will
+%be bought.
+%
+%For an accurate tracking a GPS clock is necessary. The weather station
+%helps judging the data quality.
+%}\\[2ex]
+\end{quote}\vspace{3ex}
+
+{\bf Computing}\dotfill 12.000,-\,\euro\\[-3ex]
+\begin{quote}
+   \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
+   Drei PCs\hfill 8.000,-\,\euro\\
+   SATA RAID 3TB\hfill 4.000,-\,\euro\\
+   \end{minipage}\\[-0.5ex]
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+%For on-site computing three standard PCs are needed ($\sim$8.000,-\,\euro).
+%This includes readout and storage, preprocessing and telescope control.
+%For safety reasons, a firewall is mandatory. For local cache-storage
+%and backup, two RAID\,5 SATA disk arrays with one Terabyte capacity
+%each will fulfill the requirement ($\sim$4.000,-\,\euro). The data will be
+%transmitted as soon as possible after data taking via Internet to the
+%W\"{u}rzburg Datacenter. Enough storage capacity and computing power
+%is available there and already reserved for this purpose.
+%
+%Monte Carlo production and storage will take place at University
+%Dortmund.%}\\[2ex]
+\end{quote}\vspace{3ex}
+
+{\bf Antrieb und Positionsauslese}\dotfill 17.500,-\,\euro\\[-3ex]
+\begin{quote}
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+%The present mount is used. Only a smaller investment for safety,
+%corrosion protection, cable ducts, etc. is needed (7.500,-\,\euro).
+%
+%Motors, shaft encoders and control electronics in the order of
+%10.000,-\,\euro\ have to be bought. The costs have been estimated with
+%the experience from building the MAGIC drive systems. The DWARF drive
+%system should allow for relatively fast repositioning for three
+%reasons: (i)~Fast movement might be mandatory for future ToO
+%observations. (ii)~Wobble mode observations will be done changing the
+%Wobble-position continuously (each 20\,min) for symmetry reasons.
+%(iii)~To ensure good time coverage of more than one source visible at
+%the same time, the observed source will be changed in constant time
+%intervals.
+%
+%For the drive system three 150\,Watt servo motors are intended to be bought. A
+%micro-controller based motion control unit (Siemens SPS L\,20) similar to
+%the one of the current MAGIC~II drive system will be used. For
+%communication with the readout-system, a standard Ethernet connection
+%based on the TCP/IP- and UDP-protocol will be setup.
+%}\\[2ex]
+\end{quote}%\vspace{3ex}
+%
+{\bf Sicherheit}\dotfill 4.000,-\,\euro\\[-3ex]
+\begin{quote}
+   \parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
+   Unterbrechungsfreie Stromversorgung (UPS)\hfill 2.000,-\,\euro\\
+   Sicherheitszaun\hfill 2.000,-\,\euro\\
+   \end{minipage}\\[-0.5ex]
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+%A UPS with 5\,kW-10\,kW will be
+%installed to protect the equipment against power cuts and ensure a safe
+%telescope position at the time of sunrise.
+%
+%For protection in case of robotic movement a fence will be
+%installed.%}\\[2ex]
+\end{quote}\vspace{3ex}
+
+{\bf Andere Ausgaben}\dotfill 7.500,-\,\euro\\[-3ex]
+\begin{quote}
+%\parbox[t]{1em}{~}\begin{minipage}[t]{0.6\textwidth}
+%   Robotics\hfill 7.500,-\,\euro\\
+%   \end{minipage}\\[-0.5ex]
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+F"ur den Betrieb in Fernsteuerung 
+werden verschiedene fernbedienbare Komponenten, wie z.B.\
+Ethernet steuerbare Steckdosen und "Uberwachungselektronik, gekauft.
+\end{quote}
+\hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
+\hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.2:\hfill{\bf
+341.135,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+\hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
+\hspace*{0.66\textwidth}\hrulefill\\
+
+\subsection[4.3]{Verbrauchsmaterial}
+
+\begin{quote}
+%   \parbox[t]{1em}{~}\begin{minipage}[t]{0.9\textwidth}
+   10 LTO\,4 B"ander (8\,TB)\dotfill 750,-\,\euro\\
+   Verbrauchsgegenst"ande (pauschal): Werkzeug und Meterialien\dotfill 10.000,-\,\euro
+%   \end{minipage}\\[-0.5ex]
+\end{quote}
+
+\hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
+\hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.3:\hfill{\bf
+10.750,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+\hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
+\hspace*{0.66\textwidth}\hrulefill\\
+
+\subsection[4.4]{Reisen}
+Die hohen Reisekosten sind in der engen Zusammenarbeit zwischen 
+Dortmund und W"urzburg, sowie den notwendigen Aufenthalten in La Palma
+begr"undet.\\[-2ex]
+
+\begin{quote}
+%\parbox[t]{1em}{~}\parbox[t]{0.955\textwidth}{
+Jedes Jahr sollte ein erfahrenes Gruppenmitglied aus Dortmund und
+W"urzburg den Status des Projektes bei einer internationalen Konferenz
+vorstellen:\\
+2 x 3\,Jahre x 1.500,-\,\euro\dotfill 9.000,-\,\euro\\[-2ex]
+
+Teilnahme am MAGIC Kollaborationstreffen (zweimal j"ahrlich):\\
+2 x 3\,Jahre x 1.000,-\,\euro\dotfill 6.000,-\,\euro\\[-2ex]
+
+Austausch von Doktoranden zwischen W\"{u}rzburg and Dortmund:\\
+1\,Student x 1\,Woche x 24 (alle sechs Wochen) x 800,-\,\euro\dotfill
+19.200,-\,\euro\\[-2ex]
+
+Zum Aufbau des Teleskops vor Ort werden sind Ausgaben n"otig:\\
+4 x 2\,Wochen auf La Palma x 2\,Personen x 1.800,-\,\euro\dotfill
+28.800,-\,\euro
+%}
+\end{quote}
+
+\hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
+\hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.4:\hfill{\bf
+63.000,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+\hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
+\hspace*{0.66\textwidth}\hrulefill\\
+
+
+\subsection[4.5]{Publikationskosten}
+Werden von den beantragenden Universit"aten "ubernommen.
+
+
+\subsection[4.6]{Sonstige Kosten}
+\begin{quote}
+Euro-Container (zum Versandt der Spiegel)\dotfill 5.000,-\,\euro\\
+Transport\dotfill 15.000,-\,\euro\\
+Abbau (wird von den Antragstellern "ubernommen)\dotfill n/a
+\end{quote}
+
+\hspace*{0.66\textwidth}\hrulefill\\[0.5ex]
+\hspace*{0.66\textwidth}\hspace{0.5ex}\hfill Sum 4.6:\hfill{\bf
+20.000,-\,\euro}\hfill\hspace*{0pt}\\[-1ex]
+\hspace*{0.66\textwidth}\hrulefill\\[-1.9ex]
+\hspace*{0.66\textwidth}\hrulefill\\
+
+\newpage
+\thispagestyle{empty}
+\mbox{}
+\newpage
+
+\originalTeX
 
 %(References of our groups are marked by an asterix *)